Shadow DOMs and saleforce

If you, @haiptlpb, require Selenium WebDriver v4 instantly, you had better go for books and articles that introduce you to WebDriver v4 + Gradle on other IDE’s (IntelliJ, VSCode etc). For example, I would recommend this:

This book has a section regarding “Shadow DOM” as well.

amazing, thank you

Old topic, but nested Shadow Dom is supported in 9.4 with the Smart Locator.

As for Sel4, we plan on having a GA in September.